Skip to main content
GET
/
v0
/
admin
/
controller-logs
Query controller application logs (admin only)
curl --request GET \
  --url https://controller.platform.simplecloud.app/v0/admin/controller-logs
{
  "has_more": true,
  "logs": [
    {
      "caller": "<string>",
      "controller_id": "<string>",
      "fields": "<string>",
      "level": "<string>",
      "message": "<string>",
      "network_id": "<string>",
      "network_name": "<string>",
      "timestamp": "<string>"
    }
  ]
}

Query Parameters

from
string
required

Start time (ISO8601)

to
string
required

End time (ISO8601)

network_id
string

Filter by network ID

controller_id
string

Filter by controller ID (can repeat)

level
string

Filter by level: DEBUG, INFO, WARN, ERROR, FATAL (can repeat)

Text search in messages

limit
integer

Max results (default 100, max 1000)

order
string

Order: asc or desc (default desc)

Response

OK

has_more
boolean
logs
object[]